import { GitHub } from "./GitHub";
import { Client, Schemas } from "./api";
export * from "./types";
export { Schemas, GitHub, Client };
export interface InitializeParameter {
    owner: string;
    repo: string;
    /**
     * For GitHUB API Endpoint
     * Default: https://api.github.com
     */
    baseUrl?: string | "https://api.github.com";
    /** GitHub Access Token */
    accessToken?: string;
}
export declare const create: (args: InitializeParameter) => GitHub;
export default create;
